# Ansible Styleguide

## Table of Contents
  
  1. [Practices](#practices)

## Practices

[Best Practices](https://docs.ansible.com/ansible/latest/user_guide/playbooks_best_practices.html) defined by the Ansible documentation should be followed when developing playbooks.

### Why?

The Ansible developers have a good understanding of how the playbooks work and how they should be laid out. Following these practices will avoid a lot of problems.

### Why Doesn't Your Style Follow Theirs?

The script examples are inconsistent in style throughout the Ansible documentation; the purpose of this document is to define a consistent style that can be used throughout Ansible scripts to create robust, readable code.

